package gnome-menus 3.13.3-11ubuntu1 failed to install/upgrade: triggers looping, abandoned - gnome-menus -> ufw

Bug #1747717 reported by nabin on 2018-02-06
326
This bug affects 67 people
Affects Status Importance Assigned to Milestone
dpkg (Ubuntu)
High
Unassigned
Bionic
High
Unassigned
gnome-menus (Ubuntu)
High
Julian Andres Klode
Bionic
High
Julian Andres Klode

Bug Description

using the bionic beaver version

ProblemType: Package
DistroRelease: Ubuntu 18.04
Package: gnome-menus 3.13.3-11ubuntu1
Uname: Linux 4.15.1-041501-generic x86_64
ApportVersion: 2.20.8-0ubuntu8
Architecture: amd64
Date: Tue Feb 6 23:00:47 2018
Dependencies:

ErrorMessage: triggers looping, abandoned
Python3Details: /usr/bin/python3.6, Python 3.6.4, python3-minimal, 3.6.4-1
PythonDetails: /usr/bin/python2.7, Python 2.7.14+, python-minimal, 2.7.14-4
RelatedPackageVersions:
 dpkg 1.19.0.5ubuntu1
 apt 1.6~alpha7ubuntu1
SourcePackage: gnome-menus
Title: package gnome-menus 3.13.3-11ubuntu1 failed to install/upgrade: triggers looping, abandoned
UpgradeStatus: No upgrade log present (probably fresh install)

nabin (nabin6707-7) wrote :
tags: removed: need-duplicate-check
summary: package gnome-menus 3.13.3-11ubuntu1 failed to install/upgrade: triggers
- looping, abandoned
+ looping, abandoned - gnome-menus -> ufw
Changed in gnome-menus (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Jean-Baptiste Lallement (jibel) wrote :

From term.log

dpkg: cycle found while processing triggers:
 chain of packages whose triggers are or may be responsible:
  gnome-menus -> ufw
 packages' pending triggers which are or may be unresolvable:
  gnome-menus: /usr/share/applications
  systemd: /etc/init.d
  libc-bin: ldconfig
  initramfs-tools: update-initramfs
  menu: /usr/share/menu
  ureadahead: /etc/init.d
  tex-common: texmf-format
  gconf2: /usr/share/GConf/gsettings
  ufw: /etc/ufw/applications.d
dpkg: error processing package gnome-menus (--configure):
 triggers looping, abandoned

Changed in dpkg (Ubuntu):
importance: Undecided → High
tags: added: rls-bb-incoming
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in dpkg (Ubuntu):
status: New → Confirmed
tags: added: id-5a87726a0d46c5016b403921
Will Cooke (willcooke) on 2018-03-06
Changed in gnome-menus (Ubuntu):
assignee: nobody → Iain Lane (laney)
tags: removed: rls-bb-incoming
Iain Lane (laney) wrote :

I'm trying to look at this, but LP: #1750465 is making the upgrade fail too. I see Steve has uploaded a fix for that, so once it migrates I'll come back to this bug.

Iain Lane (laney) wrote :

Still getting errors about plymouth, BTW

Iain Lane (laney) wrote :

Checked again a few times - still getting errors about plymouth, FYI

Iain Lane (laney) wrote :

Bug #1750465 has an upload in proposed now. I tried in a chroot and managed to upgrade successfully, which means I didn't hit this bug.

Trying in a desktop VM now.

Iain Lane (laney) wrote :

It worked, sorry. Maybe this bug fixed itself?

I'll mark it Incomplete - if someone can reproduce please comment saying how...

Changed in dpkg (Ubuntu Bionic):
status: Confirmed → Invalid
Changed in gnome-menus (Ubuntu Bionic):
status: Confirmed → Incomplete
Jean-Baptiste Lallement (jibel) wrote :

I tried several times in different ways and couldn't reproduce it either. Besides most recent duplicates in LP are 3 weeks old.

nabin (nabin6707-7) wrote :

I haven't seen this issue lately too. I think it fixed itself.

I did update ubuntu 16.04 to 18.04 2 days ago, and during the upgrade I got that problem. Also it repeats every time after boot, so gnome-menus 3.13.3-11ubuntu1 fails to install for me. Just wondering why I can't see any symptoms though, as everything seems to work perfectly as far I can tell other than that crash report every time after start.

I had an unaltered Dell factory install of Ubuntu 16.04(.3-4?) on a new XPS 13 before the upgrade, so it had Unity instead of Gnome 3.

Brian Murray (brian-murray) wrote :

This particular upgrade was from Ubuntu 17.10 to Ubuntu 18.04. Bug 1768890 is also about triggers looping for gnome-menus but is about the upgrade from Ubuntu 16.04 to Ubuntu 18.04.

Iain Lane (laney) on 2018-06-12
Changed in gnome-menus (Ubuntu):
assignee: Iain Lane (laney) → Julian Andres Klode (juliank)
Changed in gnome-menus (Ubuntu Bionic):
assignee: Iain Lane (laney) → Julian Andres Klode (juliank)
Sebastien Bacher (seb128) wrote :

That got no activity since june, is that still an issue? should it be closed?

I am using a much more recent version of Ubuntu by now

On Mon, Nov 5, 2018, 10:01 AM Sebastien Bacher <<email address hidden> wrote:

> That got no activity since june, is that still an issue? should it be
> closed?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1753367).
> https://bugs.launchpad.net/bugs/1747717
>
> Title:
> package gnome-menus 3.13.3-11ubuntu1 failed to install/upgrade:
> triggers looping, abandoned - gnome-menus -> ufw
>
> Status in dpkg package in Ubuntu:
> Invalid
> Status in gnome-menus package in Ubuntu:
> Incomplete
> Status in dpkg source package in Bionic:
> Invalid
> Status in gnome-menus source package in Bionic:
> Incomplete
>
> Bug description:
> using the bionic beaver version
>
> ProblemType: Package
> DistroRelease: Ubuntu 18.04
> Package: gnome-menus 3.13.3-11ubuntu1
> Uname: Linux 4.15.1-041501-generic x86_64
> ApportVersion: 2.20.8-0ubuntu8
> Architecture: amd64
> Date: Tue Feb 6 23:00:47 2018
> Dependencies:
>
> ErrorMessage: triggers looping, abandoned
> Python3Details: /usr/bin/python3.6, Python 3.6.4, python3-minimal,
> 3.6.4-1
> PythonDetails: /usr/bin/python2.7, Python 2.7.14+, python-minimal,
> 2.7.14-4
> RelatedPackageVersions:
> dpkg 1.19.0.5ubuntu1
> apt 1.6~alpha7ubuntu1
> SourcePackage: gnome-menus
> Title: package gnome-menus 3.13.3-11ubuntu1 failed to install/upgrade:
> triggers looping, abandoned
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1747717/+subscriptions
>

Terje Hanssen (terjejh) wrote :

I got this install warning during the distro upgrade from 16.04 to 18.0.4 on Dell XPS13 on July 25:

"Could not install 'gnome-menus'. The upgrade will continue, but the 'gnome-menus' pkg may not be in the working state. Please consider submitting a bug report about it."

As I haven't tried to use gnome-menus on 18.0.4 I can't tell if it is working or not.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers